# New Call Logs APIs and enhanced webhook and response fields ## Added - New **Call Logs** APIs: - `GET /v2/phone/call_element/{callElementId}` - `GET /v2/accounts/{accountId}/phone/call_element/{callElementId}` - New **webhook** Webhook event:: - `phone.call_element_deleted` - `phone.callee_call_element_completed` - `phone.caller_call_element_completed` ## Enhancements - New `call_element_id` response field in the following **Recordings** APIs: - `GET /v2/phone/call_logs/{id}/recordings` - `GET /v2/accounts/{accountId}/phone/call_logs/{id}/recordings` - `GET /v2/phone/users/{userId}/recordings` - `GET /v2/accounts/{accountId}/phone/users/{userId}/recordings` - `GET /v2/accounts/{accountId}/phone/recordings` - `GET /v2/phone/recordings` - New `call_element_id` response field in the following **Voicemails** APIs: - `GET /v2/accounts/{accountId}/phone/voice_mails/{voicemailId}` - `GET /v2/phone/voice_mails/{voicemailId}` - `GET /v2/accounts/{accountId}/phone/users/{userId}/call_logs/{id}/voice_mail` - `GET /v2/phone/users/{userId}/call_logs/{id}/voice_mail` - `GET /v2/accounts/{accountId}/phone/voice_mails` - `GET /v2/phone/voice_mails` - `GET /v2/accounts/{accountId}/phone/users/{userId}/voice_mails` - `GET /v2/phone/users/{userId}/voice_mails` - New `call_history` response field in the following **Call Logs** APIs: - `GET /v2/accounts/{accountId}/phone/call_history` - `GET /v2/phone/call_history` - New `call_element_id` field in the following **webhook** webhook events: - `phone.voicemail_transcript_completed` - `phone.recording_completed_for_access_member` - `phone.voicemail_received` - `phone.recording_completed` - `phone.voicemail_received_for_access_member`